%define name    kino
%define version 1.1.1
%define cvs	0
%if %cvs
%define release %mkrel 0.%cvs.1
%else
%define release %mkrel 1
%endif

Summary: 	GNOME DV-editing utility
Name: 		%{name}
Version:	%{version}
Release: 	%{release}
%if %cvs
Source0:	%{name}-%{cvs}.tar.bz2
%else
Source0: 	http://prdownloads.sf.net/kino/%{name}-%{version}.tar.bz2
%endif
URL: 		http://www.kinodv.org/
License: 	GPL
Group: 		Video
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	a52dec-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	libavc1394-devel
BuildRequires:	libdv-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libiec61883-devel
BuildRequires:	libquicktime-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libxv-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
%if %cvs
BuildRequires:	autoconf intltool
%endif
Requires:	udev
Requires:	mjpegtools
Requires(post):	shared-mime-info
Requires(postun):	shared-mime-info

#gw needed by the scripts in /usr/share/kino/scripts
Requires:	ffmpeg
#it needs rawplay
Requires:	smilutils
BuildRequires:	libffmpeg-devel
Epoch:		2

%description
The new generation of digital camcorders use the Digital Video (DV) data
format. Kino allows you to record, create, edit, and play movies recorded
with DV camcorders. Unlike other editors, this program uses many keyboard
commands for fast navigating and editing inside the movie.

%package	devel
Group:		Development/C++
Summary:	Header files for kino plugin development
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libsamplerate-devel
Requires:	libdv-devel
Requires:	libgnomeui2-devel
Requires:	libxml2-devel
Requires:	libffmpeg-devel

%description	devel
This contains the C++ headers needed to build extensions for kino.

%prep
%if %cvs
%setup -q -n %{name}
%else
%setup -q
%endif

%build
%if %cvs
./autogen.sh
%endif
%configure2_5x	--with-quicktime --disable-local-ffmpeg
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
%makeinstall_std
rm -rf %{buildroot}%{_sysconfdir}/hotplug/ %{buildroot}%{_libdir}/hotplug

%find_lang %{name}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GNOME" \
  --add-category="GTK" \
  --add-category="Video" \
  --add-category="Recorder" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# fix kino2raw symlink
# Note that this is fixed in upstream CVS: should be fixed in releases
# 1.0.1 and later - AdamW 2007/07
ln -sf kino ${RPM_BUILD_ROOT}%{_bindir}/kino2raw
 
%post
%update_menus
update-mime-database %{_datadir}/mime > /dev/null

%postun
%update_menus 
update-mime-database %{_datadir}/mime > /dev/null

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README* TODO
%{_sysconfdir}/udev/rules.d/kino.rules
%{_bindir}/*
%{_datadir}/mime/packages/kino.xml
%{_mandir}/man1/*
%{_datadir}/kino/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_libdir}/kino-gtk2/

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}


%changelog
* Tue Aug 07 2007 Funda Wang <fundawang@mandriva.org> 1.1.1-1mdv2008.0
+ Revision: 59712
- New version 1.1.1

* Tue Jul 24 2007 Funda Wang <fundawang@mandriva.org> 2:1.1.0-1mdv2008.0
+ Revision: 54920
- New version 1.1.0

* Fri Jul 13 2007 Adam Williamson <awilliamson@mandriva.com> 2:1.0.1-0.20070712.1mdv2008.0
+ Revision: 51759
- bump to latest CVS to test fix for #31867

* Sun Jul 08 2007 Adam Williamson <awilliamson@mandriva.com> 2:1.0.0-2mdv2008.0
+ Revision: 49653
- fix kino2raw symlink (#31792)


* Wed Mar 14 2007 Austin Acton <austin@mandriva.org> 1.0.0-1mdv2007.1
+ Revision: 143841
- 1.0.0
- remove unneeded patches
- force system ffmpeg

* Thu Mar 01 2007 Emmanuel Andry <eandry@mandriva.org> 2:0.9.5-2mdv2007.1
+ Revision: 130399
- rebuild for libgii

* Wed Jan 17 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2:0.9.5-1mdv2007.1
+ Revision: 110002
- add desktop-file-utils to buildrequires
- build against libffmpeg on all platforms
- new release: 0.9.5
  regenerate P1
  some spec cleaning/cosmetics

* Fri Dec 22 2006 Christiaan Welvaart <spturtle@mandriva.org> 2:0.9.2-2mdv2007.1
+ Revision: 101543
- add BuildRequires: libdv-devel libiec61883-devel libxv-devel
- Import kino

* Wed Sep 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2:0.9.2-1mdv2007.0
- New version 0.9.2

* Mon Jul 17 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.1-1mdv2007.0
- XDG

* Thu Apr 20 2006 Stefan van der Eijk <stefan@eijk.nu> 2:0.8.1-3mdk
- fix x86_64 build

* Wed Apr 19 2006 Stefan van der Eijk <stefan@eijk.nu> 2:0.8.1-2mdk
- BuildRequires: alsa-lib-devel & perl-XML-Parser

* Wed Apr 19 2006 Jerome Martin <jmartin@mandriva.org> 2:0.8.1-1mdk
- 0.8.1
- BuildRequires: libquicktime-devel and remove BuildConflict

* Tue Apr 18 2006 Stefan van der Eijk <stefan@eijk.nu> 0.7.6-5mdk
- %%mkrel
- BuildRequires
- Remove "BuildRequires: libquicktime-devel" for now
- URL

* Sat Sep 03 2005 Olivier Blin <oblin@mandriva.com> 0.7.6-4mdk
- require udev instead of hotplug

* Sun Aug 28 2005 Olivier Blin <oblin@mandriva.com> 0.7.6-3mdk
- move broken hotplug script to udev rule

* Sat Jul 23 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.6-2mdk
- Fix build on MDK <= 2006

* Tue May 31 2005 Gtz Waschk <waschk@mandriva.org> 0.7.6-1mdk
- update file list
- patch for new libquicktime
- new source URL
- New release 0.7.6

* Sat Feb 12 2005 Austin Acton <austin@mandrake.org> 0.7.5-3mdk
- requires mjpegtools

* Sat Jan 29 2005 Austin Acton <austin@mandrake.org> 0.7.5-2mdk
- rebuild for libraw1394

* Fri Dec 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.5-1mdk
- always define hotplugdir
- new version

* Sat Oct 23 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7.3-2mdk
- hotplugdir fixes

* Wed Aug 11 2004 Austin Acton <austin@mandrake.org> 0.7.3-1mdk
- 0.7.3

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- drop patch 1
- fix URLs
- New release 0.7.2

* Thu Jun 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-4mdk
- Rebuild

* Mon May 24 2004 Austin Acton <austin@mandrake.org> 0.7.1-3mdk
- requires smilutils

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.1-2mdk
- fix devel deps

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.1-1mdk
- add hotplug and locale files
- fix buildrequires
- fix menu entry
- new version

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-5mdk
- new version

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-5mdk
- new dv

